import * as React from 'react';
import { Component } from 'react';
import { default as OriginalProTable, ActionType, ProColumnType } from '@ant-design/pro-table';
interface IValueEnum {
    text: string;
    value: string;
    status: string;
}
declare type IExtendsColType = ProColumnType & {
    valueEnum?: IValueEnum[];
    renderTag?: boolean;
};
export declare type IProTableProps = React.ComponentProps<typeof OriginalProTable> & {
    columns?: IExtendsColType;
};
declare class ProTable extends Component<IProTableProps, any> {
    state: {
        selectedRowKeys: any;
    };
    actionRef: React.RefObject<ActionType>;
    formRef: React.RefObject<any>;
    onSelectRowsChange: (selectedRowKeys: any, selectedRows: any) => void;
    getSelectedRowKeys(): any;
    setSelectedRowKeys(selectedRowKeys: any): void;
    componentDidMount(): void;
    render(): JSX.Element;
}
export default ProTable;
